> ## Documentation Index
> Fetch the complete documentation index at: https://docs.sendrealm.com/llms.txt
> Use this file to discover all available pages before exploring further.

# Create Push App

> Create a push app and default Android, iOS, and Web providers. Provider credentials remain dashboard-only.



## OpenAPI

````yaml api-reference/openapi.json POST /push/apps
openapi: 3.0.1
info:
  title: Sendrealm API
  description: >-
    API for email, push, audience resources, domains, campaign drafts,
    templates, events, topics, and automations
  license:
    name: MIT
  version: 1.0.0
servers:
  - url: https://api.sendrealm.com
security:
  - bearerAuth: []
paths:
  /push/apps:
    post:
      summary: Create a push app
      description: >-
        Create a push app and default Android, iOS, and Web providers. Provider
        credentials remain dashboard-only.
      requestBody:
        required: true
        content:
          application/json:
            schema:
              type: object
              required:
                - name
              properties:
                name:
                  type: string
                  maxLength: 120
      responses:
        '201':
          description: Push app created
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/PushAppResponse'
        '400':
          $ref: '#/components/responses/BadRequest'
        '401':
          $ref: '#/components/responses/Unauthorized'
components:
  schemas:
    PushAppResponse:
      type: object
      required:
        - status
        - data
      properties:
        status:
          type: integer
          description: HTTP response status code
        data:
          $ref: '#/components/schemas/PushApp'
    PushApp:
      type: object
      required:
        - id
        - public_id
        - name
        - providers
        - readiness
        - created_at
        - updated_at
      properties:
        id:
          type: string
          format: uuid
        public_id:
          type: string
          nullable: true
        name:
          type: string
        providers:
          type: array
          items:
            $ref: '#/components/schemas/PushProvider'
        readiness:
          type: object
          required:
            - ready
            - ready_platforms
          properties:
            ready:
              type: boolean
            ready_platforms:
              type: array
              items:
                type: string
        created_at:
          type: string
          format: date-time
        updated_at:
          type: string
          format: date-time
    Error:
      type: object
      required:
        - status
        - error
      properties:
        status:
          type: integer
        error:
          type: object
          required:
            - code
            - message
          properties:
            code:
              type: string
            message:
              type: string
            details:
              $ref: '#/components/schemas/JsonValue'
            issues:
              type: array
              items:
                $ref: '#/components/schemas/ValidationIssue'
    PushProvider:
      type: object
      required:
        - id
        - name
        - platform
        - status
        - android_package_name
        - apns_bundle_id
        - apns_environment
        - web_vapid_public_key
        - web_vapid_subject
        - readiness
        - created_at
        - updated_at
      properties:
        id:
          type: string
          format: uuid
        name:
          type: string
        platform:
          type: string
        status:
          type: string
        android_package_name:
          type: string
          nullable: true
        apns_bundle_id:
          type: string
          nullable: true
        apns_environment:
          type: string
          nullable: true
        web_vapid_public_key:
          type: string
          nullable: true
        web_vapid_subject:
          type: string
          nullable: true
        readiness:
          $ref: '#/components/schemas/PushProviderReadiness'
        created_at:
          type: string
          format: date-time
        updated_at:
          type: string
          format: date-time
    JsonValue:
      oneOf:
        - type: string
          nullable: true
        - type: number
        - type: boolean
        - type: object
          additionalProperties:
            $ref: '#/components/schemas/JsonValue'
        - type: array
          items:
            $ref: '#/components/schemas/JsonValue'
    ValidationIssue:
      type: object
      required:
        - code
        - path
        - message
      properties:
        code:
          type: string
        path:
          type: string
          nullable: true
        message:
          type: string
    PushProviderReadiness:
      type: object
      required:
        - ready
        - missing
      properties:
        ready:
          type: boolean
        missing:
          type: array
          items:
            type: string
  responses:
    BadRequest:
      description: Bad request
      content:
        application/json:
          schema:
            $ref: '#/components/schemas/Error'
    Unauthorized:
      description: Invalid or missing API key
      content:
        application/json:
          schema:
            $ref: '#/components/schemas/Error'
  securitySchemes:
    bearerAuth:
      type: http
      scheme: bearer

````